package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.VcDevice;
import com.usky.iot.domain.VcStream;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author han
 * @since 2024-10-23
 */
public interface VcStreamService extends CrudService<VcStream> {
    CommonPage<VcStream> pageList(String platformAddress, Integer platformType, Integer pageNum, Integer pageSize);

    boolean add(VcStream vcStream);

    void update(VcStream vcStream);

    boolean remove(Integer id);
}
